Subject: Re: bug#54656: 29.0.50; [menu] key is not read anymore

From: Po Lu <[email-masked]>
Date: Sat, 23 Apr 2022 08:15:17 +0800

[email-masked] writes:

> You asked me to find out why this position was not reachable, so I set
> breakpoints ahead... Again, setting at the position asked does not trigger.
>
> I have rebuilt today. I have still at some point :
>
> (gdb) n
> 0x00007ffff760623f in ?? () from /lib/x86_64-linux-gnu/libgdk-3.so.0
> (gdb) n
> Cannot find bounds of current function.

That isn't a problem, though you might want to install debug info for
GTK.  You don't have to look in any function other than
handle_one_xevent.

> ...
>
> Setting it to
>
>       if (f != 0)
>         {
> ==>       KeySym keysym, orig_keysym;
>           /* [email-masked] says that making this 81
>              instead of 80 fixed a bug whereby meta chars made
>              his Emacs hang.
>
> (gdb) p keysym
> $1 = 4596353178100193889
>
> (gdb) p orig_keysym
> $2 = <optimized out>

You will have to proceed some more, I guess.